using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace St0rm.MapDownloader {
   public struct Map {
        string _name, _file;
        long _size;

        public String DisplayName {
            get { return _name; }
            set { _name = value; }
        }
        public String FileName {
            get { return _file; }
            set { _file = value; }
        }
        public long FileSize {
            get { return _size; }
            set { _size = value; }
        }

        public Map(string display_name, string file_name, long size) {
            _name = display_name;
            _file = file_name;
            _size = size;
        }
        public override string ToString() {
            return String.Format("{0} ({1:0.00} MB)",_name,_size/1024d/1024d);
        }
    }
}
